
%define rel 1
%define attica_major 0
%define attica_minor 4
%define attica_patchversion 2

%define module  attica

Summary:        Open Collaboration Service providers library
Name:           kde4-attica
Version:        %{attica_major}.%{attica_minor}.%{attica_patchversion}
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Libraries
Source0:        http://download.kde.org/stable/attica/%{module}-%{version}.tar.bz2
URL:            https://projects.kde.org/projects/kdesupport/attica
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  cmake

%description
A library to access Open Collaboration Service providers.
Required to access OSC providers in get hot new stuff in KDE4.

#--------------------------------------------------------------------

%define libattica %mklibname kde4-attica %{attica_major}
%define oldlibattica %mklibname attica 0

%package -n %libattica
Summary:      Qt library that implements the Open Collaboration Services API
Group:        System/Libraries
Obsoletes:    %oldlibattica
Provides:	  %oldlibattica = %version-%release

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_libdir}/libattica.so.%{attica_major}.%{attica_minor}*

#--------------------------------------------------------------------
%define attica_devel %mklibname kde4-attica -d

%package -n %attica_devel

Summary:        Devel stuff for %{module}
Group:          Development/Libraries
Requires:       %libattica = %version-%release
Obsoletes:      attica-devel
Provides:       attica-devel = %{version}-%{release}

%description -n %attica_devel
This package contains header files needed if you wish to build applications
based on %{module}.

%files -n %attica_devel
%{_includedir}/attica
%{_libdir}/libattica.so
%{_libdir}/pkgconfig/libattica.pc

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
%cmake_qt4 -DQT4_BUILD=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Apr 04 2016 bb <bb> 0.4.2-1pclos2016
- Create for kde5

